## mingw-w64-frontistr-5.5-3.src.tar.zst

=== doc/requirements.txt ===
mkdocs
mkdocs-bootstrap
mkdocs-windmill
python-markdown-math
mkdocs-material
