=== fistr1/src/analysis/CMakeLists.txt ===
###############################################################################
# Copyright (c) 2019 FrontISTR Commons
# This software is released under the MIT License, see License.txt
###############################################################################

include(${CMAKE_CURRENT_LIST_DIR}/dynamic/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/heat/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/static/CMakeLists.txt)
