=== hecmw1/src/common/CMakeLists.txt ===
###############################################################################
# Copyright (c) 2019 FrontISTR Commons
# This software is released under the MIT License, see License.txt
###############################################################################

list(APPEND hecmw_SOURCES
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_hash.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_init.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_finalize.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_comm.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_conn_conv.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_error.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_util.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_malloc.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_log.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_msg.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_msg_table.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_lib_fc.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_control.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_ctrllex.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_bit_array.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_map_int.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_set_int.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_varray_int.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_etype.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_debug_write_dist.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_reorder.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_gflex.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_heclex.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_ablex.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_hec.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_abaqus.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_nastran_dummy.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_geofem.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_dist.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_mesh.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_get_mesh.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_get_mesh_if.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io_put_mesh.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_alloc.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_print.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_free.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_copy_f2c.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_copy_c2f.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_refine.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_ucd_print.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_geometric.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_path.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_put_mesh_if.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_restart.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_bin_io.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_copy_c2f.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_copy_f2c.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_io.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_bin_io.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_txt_io.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_visual_if.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_system.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_time.c
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_util_f.F90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_logging.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_msgno_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_msg_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_control_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_result_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_restart_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_copy_f2c_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_copy_c2f_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_free_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_dist_print_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_visualizer_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_etype_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_varray_int_f.f90
  ${CMAKE_CURRENT_LIST_DIR}/hecmw_io.f90
)

list(APPEND hecmw_INCLUDE_DIRS
  ${CMAKE_CURRENT_LIST_DIR}
)
